GET/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewards/{validator_address}

https://rest-babylon-mainnet.nodit.io/cosmos/distribution/v1beta1/delegators/string/rewards/string

DelegationRewards queries the total rewards accrued by a delegation.

Path Parameters
delegator_addressstringrequired

delegator_addr defines the delegator address to query for.

validator_addressstringrequired

Validator address to query.

Responses
denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

X-API-KEY
RequestCU20
cURL
curl -X GET "https://rest-babylon-mainnet.nodit.io/cosmos/distribution/v1beta1/delegators/string/rewards/string" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "rewards": [
    {
      "denom": "string",
      "amount": "string"
    }
  ]
}